--- title: "Get Status of Zip Extract Operation" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/get-extract-status/ description: "This API enables you to get the status of an extract operation being performed on a zipped object in Stratus." last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Get Status of Zip Extract Operation ### Description This API allows you to get the status of an extract operation that is being performed on a zipped object stored in a bucket. The Bucket is referred by its [unique bucket name](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket), and the required object is referred using its name. > **Note:** Refer to the [Extract Zipped Object API](https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/extract-object#ExtractZippedObject) to perform extract operation on a zipped object. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/bucket/object/zip-extract/{taskId} - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **task_Id** (String): The value will be returned in the response while executing the [Extract Zipped Object API](https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/extract-object#ExtractZippedObject). This id will allow you to refer to the required extraction process. #### Query Parameters - **bucket_name** (Alphanumeric, mandatory): The [name of the bucket](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket) - **object_key** (String, mandatory): Will contain the complete name of the required zipped object. - **task_id** (String, mandatory): The value returned in the response of the [Extract Zipped Object API](https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/extract-object#ExtractZippedObject). This ID refers to the required extraction process. #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.buckets.objects.READ ### Response Details On successful execution, the response will contain the status of the required extraction process being performed on a zipped object in Stratus. **Sample Request** ```bash curl -X GET https://api.catalyst.zoho.com/baas/v1/project/31594000000567522/bucket/object/zip-extract/status -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "task_status": "PENDING | COMPLETED | FAILED" } } ``` ### SDK Documentation * [Get Zip Extraction Status - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/stratus/extract-zipped-object/#get-zip-extraction-status) * [Get Zip Extraction Status - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/stratus/extract-zipped-object/#get-zip-extraction-status) * [Get Zip Extraction Status - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/stratus/extract-zipped-object/#get-zip-extraction-status) * [Stratus - Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/overview/) * [Stratus - iOS SDK](https://docs.catalyst.zoho.com/en/sdk/ios/v2/cloud-scale/stratus/overview/) * [Stratus - Android SDK](https://docs.catalyst.zoho.com/en/sdk/android/v2/cloud-scale/stratus/overview/) * [Stratus - Flutter SDK](https://docs.catalyst.zoho.com/en/sdk/flutter/v2/cloud-scale/stratus/overview/)